Subject: Re: IPv6: race condition in __ipv6_ifa_notify() and dst_free() ?

From: David Miller <[email-masked]>
Date: Thu, 22 Apr 2010 00:43:24 -0700 (PDT)

From: Herbert Xu <[email-masked]>
Date: Thu, 22 Apr 2010 10:32:11 +0800

> Anyway, I think the root of the issue is the fact that NDISC is
> calling addrconf_dad_failure with no locking whatsoever.  The
> latter is not idempotent so some form of locking is needed.
> 
> This bug appears to have been around since the very start.
> 
> I'll dig deeper to see where we might be able to add some locks.

Thanks Herbert.